Subject: Re: bug#66614: 29.1.50; Support not capitalizing words inside symbols

From: [email-masked]
Date: Sat, 21 Oct 2023 15:13:08 +0000 (UTC)

Po Lu <[email-masked]> writes:
> Spencer Baugh <[email-masked]> writes:
>
>> +  DEFVAR_BOOL ("case-symbols-as-words", case_symbols_as_words,
>> +	       doc: /* If non-nil, case functions treat symbol syntax as part of words.
>> +
>> +Functions such as `upcase-initials' and `replace-match' check or modify
>> +the case pattern of sequences of characters.  Normally, these operate on
>> +sequences of characters whose syntax is word constituent.  If this
>> +variable is non-nil, then they operate on sequences of characters whose
>> +syntax is either word constituent or symbol constituent.
>> +
>> +This is useful for programming languages and styles where only the first
>> +letter of a symbol's name is ever capitalized.*/);
>> +  case_symbols_as_words = 0;
>
> Incidentally:
>
> Let's not introduce further instances of the anti-pattern where the
> ``doc:'' marker in DEFVAR constructs is aligned with its opening paren,
> rather than two columns into the word DEFVAR itself.  Generally, this
> deprives you of latitude for the first line of the doc string, for you
> are either compelled to contravene the 80 column limit or to render that
> line exceptionally laconic, both of which are ultimately
> counterproductive.
>
> TIA.

I agree and I made this change, but if you want this style of
indentation for doc: markers to be more common, then you should probably
make c-indent-line-or-region do this.  Right now if I indent a region it
will re-indent the doc: marker to align with the opening paren.